Imports System
Imports System.ComponentModel
Imports System.Collections

Public MustInherit Class Equities
  Protected ar As ArrayList
  '-------
  Public Overrides Function toString() As String
    'Klasa pochodna musi zastąpić tą metodę
  End Function
  '-------
  Public Function getNames() As ArrayList
    Return ar
  End Function
  '-------
  Public Function count() As Integer
    Return ar.Count
  End Function
  '-------
End Class